package com.xtd.project.activiti.service;

import com.xtd.framework.web.page.TableDataInfo;
import com.xtd.project.activiti.domain.*;

import java.util.List;

public interface LeaveNewService {
    int add(MyFormDataActiviti myFormData);

    List<MyFormDataActiviti> select(Long userId);

    MyFormDataActiviti get(Long id);

    int update(MyFormDataActiviti myFormDataActiviti);

    int remove(List<Long> ids);

    Object getFormData(String processKey);

    void submitApply(Long id);

    TableDataInfo findTodoTasks(MyTaskVo myTaskVo);

    MyFormData taskFormData(MyTaskVo myTaskVo);

    void taskCommit(TaskCommitForm taskCommitForm);

    List<FormsVo> showForms(String instanceId);

    List<MyFormDataActiviti> taskDoneList(MyFormDataActiviti myFormDataActiviti);

    List<MyTaskVo> taskList(String id);
}
